ROUNDUP-SERVER(1)

NAME
roundup-server - start roundup web server

SYNOPSIS
roundup-server [options] [name=tracker home]*

OPTIONS

-C file
    Use options read from the configuration file (see below).

-n hostname
    Sets the host name or IP address to listen on

-p port
    Sets the port to listen on (default: 8080).

-d file
    Daemonize, and write the server's PID to the nominated file.

-l file
    Sets a filename to log to (instead of stdout). This is required if the -d option is used.

-i file
    Sets a filename to use as a template for generating the tracker index page. The variable "trackers" is available to the template and is a dict of all configured trackers.

-s  Enables to use of SSL.

-e file
    Sets a filename containing the PEM file to use for SSL. If left blank, a temporary self-signed certificate will be used.

-N  Log client machine names instead of IP addresses (much slower).

-u UID
    Runs the Roundup web server as this UID.

-g GID
    Runs the Roundup web server as this GID.

-d PIDfile
    Run the server in the background and write the server's PID to the file indicated by PIDfile. The -l option must be specified if -d is used.

-v  Print version and exit.

-h  Print help and exit.

name=tracker home
    Sets the tracker home(s) to use. The name variable is how the tracker is identified in the URL (it's the first part of the URL path). The tracker home variable is the directory that was identified when you did "roundup-admin init". You may specify any number of these name=home pairs on the command-line. For convenience, you may edit the TRACKER_HOMES variable in the roundup-server file instead. Make sure the name part doesn't include any url-unsafe characters like spaces, as these confuse the cookie handling in browsers like IE.

EXAMPLES

roundup-server -p 9000 bugs=/var/tracker reqs=/home/roundup/group1
    Start the server on port 9000 serving two trackers; one under /bugs and one under /reqs.

CONFIGURATION FILE
See the "admin_guide" in the Roundup "doc" directory.

AUTHOR
This manpage was written by Bastian Kleineidam <calvin@debian.org> for the Debian distribution of roundup. The main author of roundup is Richard Jones <richard@users.sourceforge.net>.